// ====================================================================
// Copyright (C) 2011 - Tsubasa Saito
// Copyright (C) 2018 - Samuel GOUGEON
//
// This file must be used under the terms of the CeCILL.
// This source file is licensed as described in the file COPYING, which
// you should have received as part of this distribution.  The terms
// are also available at
// http://www.cecill.info/licences/Licence_CeCILL_V2-en.txt
// ====================================================================

// *****************************************************************
// QR decomposition with Householder
//
// Calling Sequence :
// qr(A)
//
// Arguments :
// A : DD matrix
//
// Return :
// Q : (m,m) orthogonal matrix
// R : (m,n) upper triangular matrix
//
// Authors :
// Copyright (C) 2011 - Tsubasa Saito
// Copyright (C) 2018 - Samuel GOUGEON
// last updating : 2017-07-31
// *****************************************************************
function [Q,R] = %dd_qr(A)
    [Q,R] = ddqd_qr(A)
endfunction

