// ====================================================================
// Copyright (C) 2018 - Samuel GOUGEON
//
// This file must be used under the terms of the CeCILL.
// This source file is licensed as described in the file COPYING, which
// you should have received as part of this distribution.  The terms
// are also available at
// http://www.cecill.info/licences/Licence_CeCILL_V2-en.txt
// ====================================================================
// size(DD)
//
// Authors :
// Copyright (C) 2018 - Samuel GOUGEON
// last updating : 2017-07-31
// *****************************************************************
function varargout = %qd_size(varargin)
    A = varargin(1)
    varargin(1) = null()
    if length(varargin)==0 then
        [m,n] = size(A(2))
        if argn(1)==1
            varargout = list([m,n])
        else
            varargout = list(m,n)
        end
    else
        m = size(A(2), varargin(:))
        varargout = list(m)
    end
endfunction

