// ====================================================================
// Copyright (C) 2011 - Satoko Kikkawa
// Copyright (C) 2018 - Samuel GOUGEON
//
// This file must be used under the terms of the CeCILL.
// This source file is licensed as described in the file COPYING, which
// you should have received as part of this distribution.  The terms
// are also available at
// http://www.cecill.info/licences/Licence_CeCILL_V2-en.txt
// ====================================================================

// *****************************************************************
// Zero matrix with QD numbers
//
// Calling Sequence :
// zeros(a)
//
// Arguments :
// a : QD matrix
//
// Authors :
// Copyright (C) 2011 - Satoko Kikkawa
// last updating : 2018-07-25
// *****************************************************************
function c = %qd_zeros(a)
    z = zeros(a.d)
    c = tlist(['qd','d'],z,z,z,z)
endfunction

