// ====================================================================
// Copyright (C) 2011 - Tsubasa Saito
//
// This file must be used under the terms of the CeCILL.
// This source file is licensed as described in the file COPYING, which
// you should have received as part of this distribution.  The terms
// are also available at
// http://www.cecill.info/licences/Licence_CeCILL_V2-en.txt
// ====================================================================

// Authors :
// Copyright (C) 2011 - Tsubasa Saito
// make this file : 2011/09/02
// last updating : 2011/09/02
// *****************************************************************
// INTERNAL 
//Round to Nearest integer
function  n = nint_qd(a)
    x0 = round(a(2));
    x1 = 0; x2 = 0; x3 = 0;

    if (x0 == a(2))  then
        x1 = round(a(3));
        if (x1 == a(3))  then
            x2 = round(a(4));
            if (x2 == a(4))  then
                x3 = round(a(5));
            else
                if (abs(x2-a(4)) == 0.5 & a(5) < 0.0) then
                    x2 = x2 - 1.0;
                end
            end
        else
            if (abs(x1-a(3)) == 0.5 & a(4) < 0.0) then
                x1 = x1 - 1.0;
            end
        end
    else 
        if (abs(x0-a(2)) == 0.5 & a(3) < 0.0) then
            x0 = x0 - 1.0;
        end
    end
    [x0,x1,x2,x3] = renormalize(x0,x1,x2,x3,0);
    n = tlist(['qd','d'],x0,x1,x2,x3);
endfunction
