// ====================================================================
// Copyright (C) 2011 - Tsubasa Saito
//
// This file must be used under the terms of the CeCILL.
// This source file is licensed as described in the file COPYING, which
// you should have received as part of this distribution.  The terms
// are also available at
// http://www.cecill.info/licences/Licence_CeCILL_V2-en.txt
// ====================================================================

// *****************************************************************
//
// Calling Sequence :
//
// Authors :
// Copyright (C) 2011 - Tsubasa Saito
// last updating : 2011/08/24
// *****************************************************************
function sq = qdsqrt(a)
    x = sqrt(a(2));
    
    X = tlist(['dd','hi','lo'], x, 0);
    X2 = X*X;
    ap = X2 + a; //x^2+a
    am = X2 - a; //x^2-a
    rem = (am*(2*X2+ap))/(4*x*ap);
    
    //ap5 = 4*X2 + ap; //5x^2+a
    //rem = (am*4*x*ap)/(ap5*ap5);
    
    [b1,b2,b3,b4] = renormalize(x,-rem(2),-rem(3),-rem(4),-rem(5));
    //sq = x - rem;
    sq = tlist(['qd','d'], b1, b2, b3, b4);
endfunction
