// ====================================================================
// Copyright (C) 2009 - Tsubasa Saito
//
// This file must be used under the terms of the CeCILL.
// This source file is licensed as described in the file COPYING, which
// you should have received as part of this distribution.  The terms
// are also available at
// http://www.cecill.info/licences/Licence_CeCILL_V2-en.txt
// ====================================================================

// *****************************************************************
// DD addition (dd + double)
//
// Calling Sequence :
// a + b
//
// ***need to confirm a,b's size
//
// Authors :
// Copyright (C) 2009 - Tsubasa Saito
// last updating : 2009/11/18
// *****************************************************************
function c = %dd_a_s(a,b)
  sh = a.hi + b;
  v = sh - a.hi;
  eh = (a.hi - (sh - v)) + (b - v);
  
  eh = eh + a.lo;
  
  tmp = sh + eh;
  c = tlist(['dd','hi','lo'],tmp,eh-(tmp-sh));
endfunction

