// ====================================================================
// Copyright (C) 2011 - Tsubasa Saito
//
// This file must be used under the terms of the CeCILL.
// This source file is licensed as described in the file COPYING, which
// you should have received as part of this distribution.  The terms
// are also available at
// http://www.cecill.info/licences/Licence_CeCILL_V2-en.txt
// ====================================================================

// *****************************************************************
// QD division (double / qd)
//
// Calling Sequence :
// a / b
//
// Authors :
// Copyright (C) 2011 - Tsubasa Saito
// last updating : 
// *****************************************************************
function c = %s_r_qd(a,b)
    r = tlist(['qd','d'],0,0,0,0);

    q1 = a/b(2);  r = a - q1*b;
    q2 = r(2)/b(2);  r = r - q2*b;
    q3 = r(2)/b(2);  r = r - q3*b;
    q4 = r(2)/b(2);  r = r - q4*b;
    q5 = r(2)/b(2);  
    [t1,t2,t3,t4] = renormalize(q1,q2,q3,q4,q5);
    c = tlist(['qd','d'],t1,t2,t3,t4);
endfunction

