// =============================================================================
// This file is part of DD_QD (MuPAT) external module for SCilab
// Copyright (C) 2018 - Samuel GOUGEON
//
//  This file is distributed under the same license as the DD_QD package.
// =============================================================================

// <-- CLI SHELL MODE -->
// <-- NO CHECK REF -->
//
// <-- Short Description -->
// multiplying a dd column by irs transpose yielded an error: Fixed in v.0.3

d = dd([1 2 3]');
p = d*d';
assert_checkequal(p, dd([1 2 3; 2 4 6; 3 6 9]));
